## org.apache.solr.common.params
Interface UpdateParams

    public interface UpdateParams

A collection of standard params used by Update handlers

Since:
  solr 1.2

Field Summary
`static String` `ASSUME_CONTENT_TYPE` Override the content type used for UpdateLoader
`static String` `COMMIT` Commit everything after the command completes
`static String` `COMMIT_WITHIN` Commit within a certain time period (in ms)
`static String` `EXPUNGE_DELETES`
`static String` `MAX_OPTIMIZE_SEGMENTS` If optimizing, set the maximum number of segments left in the index after optimization.
`static String` `OPEN_SEARCHER` Open up a new searcher as part of a commit
`static String` `OPTIMIZE` Optimize the index and commit everything after the command completes
`static String` `OVERWRITE` overwrite indexing fields
`static String` `PREPARE_COMMIT` expert: calls IndexWriter.prepareCommit
`static String` `ROLLBACK` Rollback update commands
`static String` `SOFT_COMMIT`
`static String` `UPDATE_CHAIN` Select the update processor chain to use.
`static String` `VERSIONS` Return versions of updates?
`static String` `WAIT_SEARCHER` wait for the searcher to be registered/visible

Field Detail

### OPEN_SEARCHER

    static final String OPEN_SEARCHER

  Open up a new searcher as part of a commit

  See Also:
    Constant Field Values

### WAIT_SEARCHER

    static final String WAIT_SEARCHER

  wait for the searcher to be registered/visible

  See Also:
    Constant Field Values

### SOFT_COMMIT

    static final String SOFT_COMMIT

See Also:
  Constant Field Values

### OVERWRITE

    static final String OVERWRITE

  overwrite indexing fields

  See Also:
    Constant Field Values

### COMMIT

    static final String COMMIT

  Commit everything after the command completes

  See Also:
    Constant Field Values

### COMMIT_WITHIN

    static final String COMMIT_WITHIN

  Commit within a certain time period (in ms)

  See Also:
    Constant Field Values

### OPTIMIZE

    static final String OPTIMIZE

  Optimize the index and commit everything after the command completes

  See Also:
    Constant Field Values

### PREPARE_COMMIT

    static final String PREPARE_COMMIT

  expert: calls IndexWriter.prepareCommit

  See Also:
    Constant Field Values

### ROLLBACK

    static final String ROLLBACK

  Rollback update commands

  See Also:
    Constant Field Values

### UPDATE_CHAIN

    static final String UPDATE_CHAIN

  Select the update processor chain to use. A RequestHandler may or may not respect this parameter

  See Also:
    Constant Field Values

### ASSUME_CONTENT_TYPE

    static final String ASSUME_CONTENT_TYPE

  Override the content type used for UpdateLoader

  See Also:
    Constant Field Values

### MAX_OPTIMIZE_SEGMENTS

    static final String MAX_OPTIMIZE_SEGMENTS

  If optimizing, set the maximum number of segments left in the index after optimization. 1 is the default (and is equivalent to calling IndexWriter.optimize() in Lucene).

  See Also:
    Constant Field Values

### EXPUNGE_DELETES

    static final String EXPUNGE_DELETES

See Also:
  Constant Field Values

### VERSIONS

    static final String VERSIONS

  Return versions of updates?

  See Also:
    Constant Field Values